import request from '@/utils/axios.ts';

// --------- 中转仓管理 -----------
// 中转仓 - 列表
export function warehouseList(data) {
    return request({
        url: '/warehouse/list',
        method: 'POST',
        data,
    });
}

// 中转仓 - 新增
export function warehouseAdd(data) {
    return request({
        url: '/warehouse/add',
        method: 'POST',
        data,
    });
}

// 中转仓 - 编辑
export function warehouseEdit(data) {
    return request({
        url: '/warehouse/edit',
        method: 'POST',
        data,
    });
}

// 中转仓 - 删除
export function warehouseDel(id) {
    return request({
        url: `/warehouse/delete?id=${id}`,
        method: 'GET',
    });
}

// 中转仓 - 详情
export function warehouseDetail(id) {
    return request({
        url: `/warehouse/detail?id=${id}`,
        method: 'GET',
    });
}

// 中转仓 - 获取所有启用的中转仓（下拉选择用）
export function warehouseAll() {
    return request({
        url: '/warehouse/all',
        method: 'GET',
    });
}

